let BASE_URL
let WSS_URL
import store from "@/store/user.js"
// 环境
// let env = "dev"
// let env = "prod"
// let env = "release";
let env = "local";

switch (env) {
	case 'dev':
		BASE_URL = 'https://test-multi-store.lihaink.cn';
		WSS_URL = 'wss://test-multi-store.lihaink.cn/pull'
		break;
	case 'release':
		BASE_URL = 'https://ceshi-multi-store.lihaink.cn';
		WSS_URL = 'wss://ceshi-multi-store.lihaink.cn/pull'
		break;
	case 'local':
		BASE_URL = 'http://192.168.1.22:8545';
		WSS_URL = 'wss://ceshi-multi-store.lihaink.cn/pull'
		break;
	default:
		BASE_URL = 'https://multi-store.lihaink.cn';
		WSS_URL = 'wss://multi-store.lihaink.cn/pull'
}

let HTTP_REQUEST_URL
let HEADER

let config = {
	HTTP_REQUEST_URL: BASE_URL,
	WSS_URL: WSS_URL,
	HEADER: {
		'content-type': 'application/json',
		//#ifdef MP
		'Form-type': 'routine',
		//#endif
		//#ifdef APP-PLUS
		'Form-type': 'app',
		//#endif
		'TOKEN': ''
	},
	ENV: env,
}

export {
	config
};